---
updatedAt: 2025-06-11T20:46:38.000Z
agentTools:
  projectIndex: https://docs.acefone.co.uk/llms.txt
---

# Fetch List of DND List

This API allows you to fetch list of DND List.

### Sample Request

```java
curl --request GET \
     --url https://api-account-uk.acefone.com/v1/broadcast/dnd/lists \
     --header 'accept: application/json'
```

📘 Important!

> Before we begin, note that the \* sign denotes the mandatory variables in each table.

### Request Variables (Query Params)

The following parameter is required to fetch list a DND list.

| **Variable Name** | **Description**                                                                                  | **Data Type** |
| ----------------- | ------------------------------------------------------------------------------------------------ | ------------- |
| limit             | Number of records to be fetched. Min: 1 max: 100.                                                | String        |
| sort\_dir         | Order by which the fetched result will be displayed. For example: ascending or descending order. | String        |
| cursor            | Pointer where the cursor should start from.                                                      | String        |
| name              | Name of the list                                                                                 | String        |
| updated\_after    | Date at which it was last updated.                                                               | String        |

### Sample Response

```java
{
  "hasMore": false,
  "limit": 10,
  "count": 1,
  "data": [
    {
      "id": 259,
      "name": "Test list",
      "description": "test description",
      "created_at": "2023-08-09T12:15:24+0530",
      "updated_at": "2023-08-09T12:15:24+0530",
      "deleted_at": null
    }
  ]
}
```

### Response Variables

The response returned is as following:

| **Variable Name**   | **Description**                                                                 | **Data Type** |
| ------------------- | ------------------------------------------------------------------------------- | ------------- |
| hasMore             | It defines whether there exist more records or not. For example: true or false. | Boolean       |
| limit               | Number of records to be fetched.                                                | Integer       |
| count               | Total number of records in current page.                                        | Integer       |
| data\[].id          | Id of the list.                                                                 | String        |
| data\[].name        | Name of the list.                                                               | String        |
| data\[].description | Description of the list.                                                        | String        |
| data\[].created\_at | Time stamp when the list was created.                                           | String        |
| data\[].updated\_at | Time stamp when the list was last updated.                                      | String        |
| data\[].deleted\_at | Time stamp at which the list was deleted from the records.                      | String        |

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "acefone-uk-base-api-config",
    "version": "1.0"
  },
  "servers": [
    {
      "url": "https://api-account-uk.acefone.com"
    }
  ],
  "security": [
    {}
  ],
  "paths": {
    "/v1/broadcast/dnd/lists": {
      "get": {
        "summary": "Fetch List of DND List",
        "description": "This API allows you to fetch list of DND List.",
        "operationId": "fetch-list-of-dnd-list",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "sort_dir",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "cursor",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "name",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "updated_after",
            "in": "query",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "Authorization",
            "in": "header",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          },
          "400": {
            "description": "400",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {}
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```